******************************************************
* CREATES FIGURE 1 IN 'FUELING CONFLICT' 
* Distribution of conflict intensities
*
******************************************************

************** preliminaries **************
clear *
global reps = 10 // bootstrap iterations, paper = 999
set more off, perm
set maxiter 50 // max NR iterations for one estimation

************** Programs **************
/*
ssc install gtools
gtools, upgrade
ssc install parallel
*/

**************  set working dir **************

*add your working directory
* cd



use ./data/AiC28_analysis_covariates, clear


twoway hist conflict_pb, discrete start(0) width(1) graphregion(fcolor(white))  xlabel(0 "peace" 1 "small conflict" 2 "armed conflict" 3 "civil war") xtitle("")  color(gs13) lcolor(black)
 
graph save ./figures/Figure_1.gph, replace
graph export ./figures/Figure_1.pdf, replace