******************************************************
* CREATES FIGURE B-1 IN 'FUELING CONFLICT' 
* Sri Lanka case

******************************************************

* preliminaries
clear *
set more off, perm

**************  set working dir **************

*add your working directory
* cd 

use ./data/AiC_analysis_28.dta, clear 

graph twoway (scatter conflict_pb year if reccode == "LKA", msymbol(o) mcolor(black) yaxis(1) yscale(range(0 3) axis(1))), ///
	xline(1972, lp(dash) lw(thin))  text(1.5 1973 "Sinhala becomes offical language and Buddhism the official religion", orient(vertical) size(small)) ///
	xline(1975, lp(dash) lw(thin))  text(1.5 1976 "LTTE formed", orient(vertical) size(small)) ///
	  xline(1983, lp(dash) lw(thin)) text(1.5 1984 "War starts", orient(vertical) size(small)) ///
	  xline(2002, lp(dash) lw(thin)) text(1.5 2001 "Peace Agreement brokerd by Norway", orient(vertical) size(small)) ///
	  xline(2004, lp(dash) lw(thin)) text(1.5 2005 "Tsunami kills 30000", orient(vertical) size(small)) ///
	   xline(2009, lp(dash) lw(thin)) text(1.5 2010 "War ends",  orient(vertical) size(small)) ///
	   xlabel(1970 "1970" 1975 "1975" 1980 "1980" 1985 "1985" 1990 "1990" 1995 "1995" 2000 "2000" ///
	   2005 "2005" 2010 "2010") ///
	   xscale(range(1970(5)2010)) ytitle("Ordered Conflict") xtitle("") scheme(LeanR)
graph export ./figures/Figure_B1_case_LKA.pdf, replace	
	
