******************************************************
* CREATES TABLE D9 IN 'FUELING CONFLICT' 
* Falsification test
*****************************************************


************** preliminaries **************
clear *
set more off, perm

************** Programs **************
/*
ssc install gtools
gtools, upgrade
ssc install parallel
*/

**************  set working dir **************

*add your working directory
* cd 


use ./data/NQ_BGLS, clear

*** Regress first stages on each other

*** regress our instrument on US wheat aid
eststo: xtreg wheat_aid agghatnetoda_gdp ln_gdp ln_pop i.year if year>1975 , fe vce(cluster rec_id)

*** regress our NW IV on our bilateral data
eststo: xtreg aggnetoda_gdp instrument ln_gdp ln_pop i.year  if year>1975 , fe vce(cluster rec_id)


* Create output using estimated coefs and bootstrapped SEs
esttab using ./tables/Table_D9.tex, replace  tex star(* 0.10 ** 0.05 *** 0.01) ///
	se  nobaselevels b(4) se(4) drop(*.year) noconstant  ///
	stats(r2_w N Tbar N_g, fmt(a3) labels("Within-R2" "Observations" "Years" "Countries")) 
esttab using ./tables/Table_D9.rtf, replace rtf star(* 0.10 ** 0.05 *** 0.01) ///
	se nobaselevels b(4) se(4) drop(*.year) noconstant  ///
	stats(r2_w N Tbar N_g, fmt(a3) labels("Within-R2" "Observations" "Years" "Countries")) 


esttab, star(* 0.10 ** 0.05 *** 0.01) ///
	se nobaselevels b(4) se(4) drop(*.year) noconstant  ///
	stats(r2_w N Tbar N_g, fmt(a3) labels("Within-R2" "Observations" "Years" "Countries")) 
